-- (c) David Cunningham 2009, Licensed under the MIT license: http://www.opensource.org/licenses/mit-license.php

echo ("Loading common assets")

include "map_classes.lua"

include "phys_mats.lua"

include "Characters/init.lua"

material "Ogre/HeadEarring" { diffuseColour = {1,1,0} }
material "Ogre/HeadSkin" { diffuseMap = "HeadSkin.jpg" }
material "Ogre/HeadTusks" { diffuseMap = "HeadTusks.jpg" }
material "Ogre/HeadEyes" { diffuseMap = "HeadEyes.png" }
material "Ogre/Robot" { diffuseMap = "Robot.jpg" }

material "Barrier/Cone" { specularity=5, specularColour={0.5,0.5,0.5}, specularMap="TrafficCone_spec.dds", diffuseMap = "TrafficCone.dds" }
material "Barrier/Tyre" { diffuseMap = "Tyre.png" }
streamer:addClass("Barrier/TrafficCone",ColClass,{renderingDistance=100,castShadows=true})
streamer:addClass("Barrier/Tyre",ColClass,{renderingDistance=200,castShadows=true})
streamer:addClass("Barrier/Cube1",ColClass,{renderingDistance=200,castShadows=true})
streamer:addClass("Barrier/Cube2",ColClass,{renderingDistance=200,castShadows=true})

material "Bowling/Pin" { diffuseMap = "Pin.dds" }
material "Bowling/Ball" { diffuseMap="Ball.dds", specularColour={.5,.5,.5}, specularity=20 }
streamer:addClass("Bowling/Ball",ColClass,{renderingDistance=100,castShadows=true})
streamer:addClass("Bowling/Pin",ColClass,{renderingDistance=100,castShadows=true})

material "CannonBall/Black" { diffuseColour={.05,.05,.05}, specularColour={1,1,1}, specularity=20 }
streamer:addClass("CannonBall/15cm",ColClass,{renderingDistance=100,castShadows=true})

material "Crate/Small" { diffuseMap = "side.dds" }
material "Crate/Big" { diffuseMap = "red_side.dds", normalMap = "red_side_N.dds", specularMap="red_side_S.dds" }
--material "Crate/Big" { diffuseMap = "./red_side.dds" }
material "Crate/Long" { specularColour={.7,.7,1}, diffuseMap = "Panel_Diffuse.dds", normalMap = "Panel_Normal.png" }
--material "Crate/Long" { diffuseMap = "./blue_side.dds" }
streamer:addClass("Crate/Small",ColClass,{renderingDistance=30,castShadows=true})
streamer:addClass("Crate/Big",ColClass,{renderingDistance=70,castShadows=true})
streamer:addClass("Crate/Long",ColClass,{renderingDistance=100,castShadows=true})

material "Jenga/Brick" { specularColour={.7,.7,.7}, specularMap="Brick.dds", diffuseMap = "Brick.dds" }
streamer:addClass("Jenga/Brick",ColClass,{renderingDistance=50,castShadows=true})

material "Buildings/ConcreteHut" { blend={4,1024}, diffuseMap="ConcreteHutHeight_diffuse.dds", normalMap = "ConcreteHut_normal.dds", specularFromDiffuse = {-4, 8} }
streamer:addClass("Buildings/ConcreteHut",ColClass,{renderingDistance=200,castShadows=true})

include "Particle/init.lua"

function make_lots_of_robots(xmin,xmax,xspc,ymin,ymax,yspc,height)
    xmin = xmin or -1000
    xmax = xmax or 1000
    xspc = xspc or 100
    ymin = ymin or -1000
    ymax = ymax or 1000
    yspc = yspc or 100
    height = height or 0
    for x=xmin,xmax,xspc do
        for y=ymin,ymax,yspc do
            local n=sm.root:createChild()
            n.position=Vector3(x,y,height)
            n.orientation = Q_UP
            n:attachObject(sm:createEntity(x..","..y,"Ogre/Robot.mesh"))
        end
    end
end

ui:bind("1", function() player_ctrl:fire("Crate/Small") end, nil, true)
ui:bind("2", function() player_ctrl:fire("Crate/Big") end, nil, true)
ui:bind("3", function() player_ctrl:fire("Crate/Long") end, nil, true)
ui:bind("4", function() player_ctrl:fire("CannonBall/15cm") end, nil, true)
ui:bind("5", function() player_ctrl:fire("Bowling/Ball") end, nil, true)
ui:bind("6", function() player_ctrl:fire("Bowling/Pin") end, nil, true)  
ui:bind("7", function() player_ctrl:fire("Jenga/Brick") end, nil, true)  
ui:bind("8", function() player_ctrl:fire("Barrier/TrafficCone") end, nil, true)

ui:bind("t", function() place("Barrier/TrafficCone",0.1) end)
ui:bind("y", function() place("Barrier/Tyre",0.15) end)
ui:bind("u", function() place("Barrier/Cube1",0.15) end) 
ui:bind("i", function() place("Barrier/Cube2",0.15) end)

ui:bind("j", function() player_ctrl:fire("Barrier/Cube1") end, nil, true)
ui:bind("k", function() player_ctrl:fire("Barrier/Cube2") end, nil, true)
ui:bind("o", function() player_ctrl:fire("/vehicles/EvoChassis") end, nil, true)
ui:bind("p", function() player_ctrl:fire("/vehicles/SeatChassis") end, nil, true)
ui:bind("[", function() player_ctrl:fire("/vehicles/FocusChassis") end, nil, true)
ui:bind("#", function() player_ctrl:fire("/vehicles/MotorBikeChassis") end, nil, true)
ui:bind("]", function() player_ctrl:fire("/vehicles/NovaChassis") end, nil, true)

ui:bind("m", function() player_ctrl:fire("/vehicles/Bonanza") end, nil, true)
