include "buildings/init.lua"
include "ramps/init.lua"
include "veg/init.lua"


material "DEFAULT" { diffuseColour={1,1,1}, specularColour={1,1,1}, specularity=15, shadowObliqueCutOff=0.25 }
material "WATERFALL" {
    textureAnimation={0,-1},
    diffuseMap = "textures/waterfall.dds", diffuseColour={1,1,1}, alpha=0.75,
    normalMap="textures/waterfall_NM.dds",
    specularMap="textures/waterfall_S.dds", specularColour={2,2.3,4}, specularity=70,
    translucencyMap="textures/waterfall_S.dds",
    backfaces = true,
    castShadows = false,
}

--Classes
streamer:addClass("road",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=1500})
streamer:addClass("terrain",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=1500})
streamer:addClass("canal",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=1500})
streamer:addClass("tunnel",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=500})
streamer:addClass("Waterfall",BaseClass,{castShadows=true,receiveShadows=true,renderingDistance=300})
streamer:addClass("WaterfallBase",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=500})

--Placement
streamer:addObject("road",0,0,0,{name="road"})
streamer:addObject("terrain",0,0,0,{name="terrain"})
streamer:addObject("canal", 40.3823, -13.4205, -2.01774, {name="canal"})
streamer:addObject("tunnel", 40.4177, 3.26091, 11.0101, {name="tunnel"})

streamer:addObject("ramps/halfpipe", 13.0144, 7.52401, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/halfpipe", 16.0624, 7.52401, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/halfpipe", 19.1104, 7.52401, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/halfpipe", 19.1104, -2.47599, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/halfpipe", 16.0624, -2.47599, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/halfpipe", 13.0144, -2.47599, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/halfpipe", -17.0711, -9.66328, 0.0, {rot=Vector3(0.0,0.0,90.0)})
streamer:addObject("ramps/halfpipelarge", 22.1584, 7.524, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/halfpipelarge", 25.2064, 7.524, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/halfpipelarge", 25.2064, -2.476, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/halfpipelarge", 22.1584, -2.476, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/ramp", 9.96637, 7.45972, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/ramp", 9.96637, -2.54028, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/ramp", 6.91837, -2.54028, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/smallramp", 3.87037, -2.54027, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/smallramp", 3.87037, 7.45973, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/ramp", 6.91837, 7.45972, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("buildings/hangar", -30.0252, 0.0, 0.0, {name="hangar"})

streamer:addObject("veg/tropplant1", 35.7519, 2.84301, 8.07375, {rot=Vector3(-20.8564,0.0,51.9048)})
streamer:addObject("veg/tropplant1", 0.678401, 7.77392, 0.0694665, {rot=Vector3(-4.38321,5.94474,-0.454836)})
streamer:addObject("veg/tropplant1", 1.19669, 8.81148, 0.0102537, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("veg/tropplant1", -14.6435, 6.41645, -0.0756019, {rot=Vector3(0.0,2.70216,0.0)})
streamer:addObject("veg/tropplant1", 3.05571, 20.0607, 2.59759, {rot=Vector3(0.0,-7.00829,0.0)})
streamer:addObject("veg/tropplant1", 36.3704, 3.98144, 8.07375, {rot=Vector3(-20.8564,0.0,0.0)})
streamer:addObject("veg/tropplant1", 5.41977, -6.96158, 0.0289378, {rot=Vector3(4.33144,-3.15298,-0.238701)})

streamer:addObject("Waterfall", 32.3138, -14.2007, 2.20432, {name="waterfall"})
streamer:addObject("WaterfallBase", 34.0007, -13.6122, 3.29647, {name="waterfallbase"})
