local mu = 1.2
local rad = 0.29 -- wheels
local wx, wf, wb, wz = 0.65, 1.3, -1, 0.05

streamer:addClass("../Evo", extends(Vehicle) {
        gfxMesh="Evo/Body.mesh",
        colMesh="Evo/Body.tcol",
        powerPlots = {
                [-1] = { [0] = -1500; [10] = -2500; [30] = -3000; [40] = 0; },
                [0] = {}, --neutral
                [1] = { [0] = 3500; [10] = 4500; [20] = 5000; [40] = 5790; [80] = 5790; [100] = 5790 ; [120] = 5790; [200] = 5790; },
        },       
        brakePlot = { [-10] = 400; [0] = 400; [10] = 5000; [20] = 5000; [40] = 5000; };
        wheelInfo = {
                {pos=Vector3(-wx, wf, wz-0.05);
                 left=true; steer=1; drive=0.8; handbrake=false;
                 mesh="Evo/Wheel.mesh"; len=0.1; rad=rad;
                 mu = mu;
                },

                {pos=Vector3(wx, wf, wz-0.05);
                 left=false; steer=1; drive=0.8; handbrake=false;
                 mesh="Evo/Wheel.mesh"; len=0.1; rad=rad;
                 mu = mu;
                },

                {pos=Vector3(-wx, wb, wz-0.1);
                 left=true; steer=0; drive=1.2; handbrake=true;
                 mesh="Evo/Wheel.mesh"; len=0.1; rad=rad;
                 mu = mu;
                },

                {pos=Vector3(wx, wb, wz-0.1);
                 left=false; steer=0; drive=1.2; handbrake=true;
                 mesh="Evo/Wheel.mesh"; len=0.1; rad=rad;
                 mu = mu;
                },
        },
},{})


streamer:addClass("../EvoChassis", ColClass, { gfxMesh="Evo/Body.mesh", colMesh="Evo/Body.tcol" })

material "Body" { diffuseMap = "Body.jpg"; specularColour = {.1, .1, .1}; specularity = 20; }
material "Wheel" { diffuseMap = "Body.jpg"; }
material "Glass" { diffuseMap = "Glass.png"; alpha = true; }


-- vim: shiftwidth=8:tabstop=8:expandtab
